<?php
/**
 * 管理员管理
 * $Id: account_edit_result.php,v 1.1 2015/10/08 11:18:46 wanggb Exp $
 * @author wanggb
 * @package manager.public_html
 */

// 底层包含
require_once("manager_include.inc");

// 登录检查
require_once("check_login.inc");

// 权限检查
if (!checkAuthority("ADMIN")) {
	// エラー表示
	$layout_pages = array();
	$layout_pages["footer"] = "footer.inc";
	$layout_pages["top"] = "menu.inc";
	$layout_pages["middle"] = "error.inc";
	$message = "权限不足，请联系系统管理员。";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/topmenutopsub_layout.inc");
	exit;
}

// 参数取得
$id = ParamUtil::getRequestString("id");
$account_mst = AccountMst::getById($id);
if ($account_mst == null) {
	// エラー表示
	$layout_pages = array();
	$layout_pages["footer"] = "footer.inc";
	$layout_pages["top"] = "menu.inc";
	$layout_pages["middle"] = "error.inc";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/topmenutopsub_layout.inc");
	exit;
}
$password = ParamUtil::getRequestString("password");
$name = ParamUtil::getRequestString("name");
$phone = ParamUtil::getRequestString("phone");
$authority_type_array = ParamUtil::getRequestArray("authority_type", array());


// 数据库更新
$account_mst->password = $password;
$account_mst->name = $name;
$account_mst->phone = $phone;
$account_mst->authority = implode(",", $authority_type_array);
$account_mst->save();

// 跳到一览页
header("Location:account_list.php");
exit;